from typing_extensions import TypedDict
from typing import NotRequired


class ServerPlayersList(TypedDict):
    online: int
    max: int
    list: list[str]


class ServerStatus(TypedDict):
    online: bool
    icon: NotRequired[str | None]
    motd: NotRequired[str]
    players: NotRequired[ServerPlayersList]
